> ## Documentation Index
> Fetch the complete documentation index at: https://ngrok.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> List all online tunnel sessions running on this account.




## OpenAPI

````yaml https://raw.githubusercontent.com/ngrok/ngrok-openapi/refs/heads/main/ngrok.yaml get /tunnel_sessions
openapi: 3.0.0
info:
  title: ngrok OpenAPI
  version: 1.0.0
servers:
  - url: https://api.ngrok.com
security:
  - authentication: []
paths:
  /tunnel_sessions:
    get:
      tags:
        - TunnelSessions
      summary: List
      description: |
        List all online tunnel sessions running on this account.
      operationId: TunnelSessionsList
      parameters:
        - $ref: '#/components/parameters/ngrokVersion'
        - name: before_id
          description: >
            Expects a resource ID as its input. Returns earlier entries in the
            result set, sorted by ID.
          in: query
          required: false
          schema:
            type: string
        - name: limit
          description: >
            Constrains the number of results in the dataset. See the [API
            Overview](https://ngrok.com/docs/api/index#pagination) for details.
          in: query
          required: false
          schema:
            type: string
        - name: filter
          description: >
            A CEL expression to filter the list results. Supports logical and
            comparison operators to match on fields such as `id`, `metadata`,
            `created_at`, and more. See ngrok API Filtering for syntax and field
            details: https://ngrok.com/docs/api/api-filtering.
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: |
            List all online tunnel sessions running on this account.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TunnelSessionList'
components:
  parameters:
    ngrokVersion:
      name: ngrok-version
      in: header
      required: true
      schema:
        type: integer
        default: 2
  schemas:
    TunnelSessionList:
      type: object
      properties:
        tunnel_sessions:
          description: |
            list of all tunnel sessions on this account
          type: array
          items:
            $ref: '#/components/schemas/TunnelSession'
        uri:
          description: |
            URI to the API resource of the tunnel session list
          type: string
        next_page_uri:
          description: |
            URI of the next page, or null if there is no next page
          type: string
    TunnelSession:
      type: object
      properties:
        agent_version:
          description: |
            version of the ngrok agent that started this ngrok tunnel session
          type: string
        credential:
          $ref: '#/components/schemas/Ref'
          description: >
            reference to the tunnel credential or ssh credential used by the
            ngrok agent to start this tunnel session
        id:
          description: |
            unique tunnel session resource identifier
          type: string
        ip:
          description: |
            source ip address of the tunnel session
          type: string
        metadata:
          description: >
            arbitrary user-defined data specified in the metadata property in
            the ngrok configuration file. See the metadata configuration option
          type: string
        os:
          description: |
            operating system of the host the ngrok agent is running on
          type: string
        region:
          description: |
            the ngrok region identifier in which this tunnel session was started
          type: string
        started_at:
          description: |
            time when the tunnel session first connected to the ngrok servers
          type: string
        transport:
          description: >
            the transport protocol used to start the tunnel session. Either
            `ngrok/v2` or `ssh`
          type: string
        uri:
          description: |
            URI to the API resource of the tunnel session
          type: string
    Ref:
      type: object
      properties:
        id:
          description: |
            a resource identifier
          type: string
        uri:
          description: |
            a uri for locating a resource
          type: string
  securitySchemes:
    authentication:
      type: http
      scheme: bearer

````